--- title: "getTargetGroupList" slug: "networking-vloadbalancer-targetgroup-gettargetgrouplist" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-targetgroup-gettargetgrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTargetGroupList Available in VPC View the list of target groups. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/getTargetGroupList | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the target group whose list you want to view - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `vpcNo` | String | Optional | VPC number of the target group whose list you want to view - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist) | | `targetTypeCode` | String | Optional | Target type - `VSVR` - `VSVR`: Server (VPC) | | `targetGroupNoList.N` | List[String] | Optional | Number list of the target group - `targetGroupNo` can be obtained through [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist) - targetGroupNoList.1=1234&targetGroupNoList.2=2345 | | `pageNo` | Integer | Optional | Page number in paged results | | `pageSize` | Integer | Conditional | Number of results to display on a page - It is required when entering `pageNo` | | `sortList.N.sortedBy` | String | Optional | Sort by - `targetGroupNo` \| `targetGroupName` - `targetGroupNo`: target group number - `targetGroupName`: target group name - sortList.1.sortedBy=targetGroupNo | | `sortList.N.sortingOrder` | String | Optional | Sort order - `ASC` (default) \| `DESC` - `ASC`: ascending - `DESC`: descending - sortList.1.sortingOrder=DESC | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/getTargetGroupList?regionCode=KR&vpcNo=*****&targetTypeCode=VSVR&targetGroupNoList.1=*******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [TargetGroupList](/docs/en/common-vapidatatype-targetgrouplist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 875c17ee-75cd-4bec-a0bd-1bac824d779f 0 success 1 ******* YOUR_TARGET_GROUP VSVR Server (VPC) ***** HTTP HTTP protocol 80 false false RR Round Robin 2024-06-03T17:09:27+0900 KR ******** HTTP HTTP protocol 80 / GET HTTP GET Method 30 2 2 ```